#ifndef JNIHANDLER_H
#define JNIHANDLER_H

#include <QObject>

class jnihandler : public QObject
{
    Q_OBJECT

public:
    explicit jnihandler(QObject *parent = nullptr);
    static jnihandler *instance() { return m_instance; }
    Q_INVOKABLE void getDefaultAdapter();
    Q_INVOKABLE void getDefaultAdapterFromSharedLib();
    Q_INVOKABLE QString getLogText(){return m_logger_text;};

private slots:

private:
    static jnihandler *m_instance;

public:

    QString m_logger_text;

};

#endif // JNIHANDLER_H
