#ifndef LOGGER_HEADER_H
#define LOGGER_HEADER_H

#include <QQmlComponent>
#include <QQmlEngine>

class LoggerClass {
public:
    static void sendMessage(QString message) {
        QQmlEngine e;
        QQmlComponent component(&e, QStringLiteral("qrc:/main.qml"));
        QObject *object = component.create();
        QString returnedValue;
        QMetaObject::invokeMethod(object, "qmlLogger",
                Q_RETURN_ARG(QString, returnedValue),
                Q_ARG(QString, message));

        qDebug() << "QML function returned:" << returnedValue;
        delete object;
    }
};

#endif // LOGGER_HEADER_H
