import QtQuick 2.0
import QtQuick.Window 2.0
import QtQuick.Controls 2.0
import QtQuick.Layouts 1.2

ApplicationWindow {
    id: main_
    visible: true
    width: 640
    height: 480

    Button {
       id: button1;
       width: parent.width
       text: qsTr("get BT adapter from system")
       onClicked: {
           DataHandler.getDefaultAdapter()
           text_area.text = DataHandler.getLogText()
       }
    }

    Button {
       id: button2;
       anchors.top: button1.bottom
       width: parent.width
       text: qsTr("get BT adapter from shared lib")
       onClicked: {
           DataHandler.getDefaultAdapterFromSharedLib()
           text_area.text = DataHandler.getLogText()
       }
    }

    Text {
        id: text_area
        anchors.top: button2.bottom
        width: parent.width
        height: button2.height
        color: "red"
    }
}
