#include "qtbug87854bluetoothlib.h"

#include <QAndroidJniObject>
#include <QAndroidJniEnvironment>
#include <QDebug>
#include <QAndroidJniObject>

QAndroidJniObject Qtbug87854bluetoothlib::m_adapter = nullptr;

extern "C" QTBUG87854BLUETOOTHLIB_EXPORT Qtbug87854bluetoothlib::Qtbug87854bluetoothlib()
{
    qDebug() << ">> Qtbug87854bluetoothlib";
    qDebug() << "<< Qtbug87854bluetoothlib";
}


extern "C" QTBUG87854BLUETOOTHLIB_EXPORT QAndroidJniObject *getBtAdapter()
{
    qDebug() << ">> getAdapter";
    QAndroidJniEnvironment env;

    Qtbug87854bluetoothlib::m_adapter = QAndroidJniObject::callStaticObjectMethod("android/bluetooth/BluetoothAdapter",
                                      "getDefaultAdapter",
                                      "()Landroid/bluetooth/BluetoothAdapter;");
    if (!Qtbug87854bluetoothlib::m_adapter.isValid()) {
        if (env->ExceptionCheck()) {
            env->ExceptionDescribe();
            env->ExceptionClear();
        }
        qWarning("jnihandler::initBT, adapter not valid");
    }
    qDebug() << "<< getAdapter";
    // return reinterpret_cast<QAndroidJniObject*>(&Qtbug87854bluetoothlib::m_adapter);
    return &Qtbug87854bluetoothlib::m_adapter;
}



